# Class CIM_IndicationServiceSettingData
extends CIM_SettingData

An IndicationService is a Service of the CIM Object Manager that is responsible for delivering indications. The following are available settings for the Indication Service. The following describes a possible configuration of settings for the associated Indication Service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_IndicationServiceSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | An IndicationService is a Service of the CIM Object Manager that is responsible for delivering indications. The following are available settings for the Indication Service. The following describes a possible configuration of settings for the associated Indication Service.
UMLPackagePath | string | CIM::Event
Version | string | 2.20.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DeliveryRetryAttempts | uint16 | 3
Description | string | Defines the number of retries that the indication service will try to deliver an indication to a particular listener destination. This does not effect the original delivery attempt, thus if set to 0, it will only try to deliver the indication once. Note that implementations may preset this setting and not allow this value to be modified.
MinValue | sint64 | 0
ModelCorrespondence | string | CIM_IndicationServiceSettingData.DeliveryRetryInterval
Write | boolean | true
DeliveryRetryInterval | uint32 | 30
Description | string | Defines the minimal time interval in seconds for the indication service to use before delivering an indication to a particular listener destination that previously failed. The implementation may take longer due to QoS or other processing. Note that implementations may preset this setting and not allow this value to be modified.
ModelCorrespondence | string | CIM_IndicationServiceSettingData.DeliveryRetryAttempts
PUnit | string | second
Write | boolean | true
FilterCreationEnabled | boolean | false
Description | string | The FilterCreationEnabled property controls whether or not clients can create indication filters. If this value is set to false, only the indication filters that exist can be subscribed to. If this value is true clients may attempt to create filters. Note that implementations may preset this setting and not allow this value to be modified.
Write | boolean | true
SubscriptionRemovalAction | uint16 |

Description

string

Defines the removal action for subscriptions that have two failed indication deliveries without any successful indication deliveries in between and the time between the failed deliveries exceeded the timeout defined in the SubscriptionRemovalTimeInterval property. "Remove" defines the subscription is to be removed. "Disable" indicates that subscription removal process isnot being enforced. "Ignore" indicates that the removal action is temporarily not enforced. Implementations may preset this setting and not allow this value to be modified.

ModelCorrespondence | string | CIM_IndicationServiceSettingData.SubscriptionRemovalTimeInterval
ValueMap | string | 2, 3, 4, ..
Values | string | Remove, Disable, Ignore, DMTF Reserved
Write | boolean | true
SubscriptionRemovalTimeInterval | uint32 |
Description | string | Minimum time between two failed indication deliveries without any successful indication deliveries in between before the SubscriptionRemovalPolicy goes into effect.
ModelCorrespondence | string | CIM_IndicationServiceSettingData.SubscriptionRemovalAction
PUnit | string | second
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods